curl --request GET \
--url https://atoms-api.smallest.ai/api/v1/webhook \
--header 'Authorization: Bearer <token>'{
"status": true,
"data": {
"_id": "<string>",
"url": "<string>",
"description": "<string>",
"status": "enabled",
"organizationId": "<string>",
"createdBy": "<string>",
"subscriptions": [
{
"_id": "<string>",
"webhookId": "<string>",
"agentId": {
"_id": "<string>",
"name": "<string>",
"description": "<string>"
},
"eventType": "pre-conversation",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"decryptedSecretKey": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}Retrieve all webhooks for the organization or a specific webhook by ID
curl --request GET \
--url https://atoms-api.smallest.ai/api/v1/webhook \
--header 'Authorization: Bearer <token>'{
"status": true,
"data": {
"_id": "<string>",
"url": "<string>",
"description": "<string>",
"status": "enabled",
"organizationId": "<string>",
"createdBy": "<string>",
"subscriptions": [
{
"_id": "<string>",
"webhookId": "<string>",
"agentId": {
"_id": "<string>",
"name": "<string>",
"description": "<string>"
},
"eventType": "pre-conversation",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"decryptedSecretKey": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Optional webhook ID to get a specific webhook
Successful response
true
Show child attributes
The unique identifier for the webhook
The webhook endpoint URL
The description of the webhook
The status of the webhook
enabled, disabled The organization ID
The user ID who created the webhook
A list of subscriptions for the webhook with populated agent details.
Show child attributes
The unique identifier for the subscription
The ID of the webhook
The type of event subscribed to
pre-conversation, post-conversation The date and time when the subscription was created
The date and time when the subscription was last updated
The decrypted signing secret for the webhook. This is only returned when fetching a single webhook by ID.
The date and time when the webhook was created
The date and time when the webhook was last updated